
package com.tmerclub.cloud.common.security.bo;

import com.tmerclub.cloud.api.auth.bo.UidInfoBO;

import java.io.Serial;
import java.io.Serializable;

/**
 * token信息，该信息存在redis中
 *
 * @author tmerclub
 * @date 2020/7/2
 */
public class TokenInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 保存在token信息里面的用户信息
     */
    private UidInfoBO uidInfoBO;

    private String accessToken;

    /**
     * 在多少秒后过期
     */
    private Integer expiresIn;

    public UidInfoBO getUidInfoBO() {
        return uidInfoBO;
    }

    public void setUidInfoBO(UidInfoBO uidInfoBO) {
        this.uidInfoBO = uidInfoBO;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }

    @Override
    public String toString() {
        return "TokenInfoBO{" +
                "uidInfoBO=" + uidInfoBO +
                ", accessToken='" + accessToken + '\'' +
                ", expiresIn=" + expiresIn +
                '}';
    }
}
